# -*- coding: utf-8 -*- 

import unohelper
from org.sheetfunction2 import XBackground
from com.sun.star.lang import IllegalArgumentException


class Background(unohelper.Base, XBackground):
    def __init__(self, ctx):
        pass

    # XBackground
    def background(self, celladdress, hexvalue):
        try:
            color = int(hexvalue.strip(" #"), 16)
            celladdress.CellBackColor = color
            return hexvalue
        except ValueError:
            raise IllegalArgumentException(u'Undefined color value.', self, 1)

def createInstance(ctx):
    return Background(ctx)


g_ImplementationHelper = unohelper.ImplementationHelper()
g_ImplementationHelper.addImplementation(createInstance,"org.sheetfunction2.background.impl", ())
